> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach issue tag

> Attach a tag to an issue idempotently.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json put /issues/{issue_id}/tags/{tag_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/tags/{tag_id}:
    put:
      tags:
        - Issues
      summary: Attach issue tag
      description: Attach a tag to an issue idempotently.
      operationId: set_issue_tag_attach
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Issue ID.
          schema:
            type: string
        - name: tag_id
          in: path
          required: true
          description: Issue tag ID.
          schema:
            type: string
      responses:
        '204':
          description: Issue tag attached
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````